Skip to main content
POST
/
monitors
Create monitor
curl --request POST \
  --url https://api.example.com/monitors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "metric_id": "<string>",
  "aggregation_method": "<string>",
  "threshold": 123,
  "interval_value": 123,
  "interval_unit": "<string>",
  "comparison_operator": "<string>"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
project_id
string
required
metric_id
string
required
aggregation_method
string
required
threshold
number
required
interval_value
number
required
interval_unit
string
required
comparison_operator
string
required